#### D.4.27.20 equidimMaxEHV

Procedure from library `primdec.lib` (see primdec_lib).

Usage:
  equidimMaxEHV(I); I ideal

Return:
  ideal, the equidimensional component (of maximal dimension) of I.

Note:
  Uses algorithm of Eisenbud, Huneke and Vasconcelos.

Example:

    LIB "primdec.lib";
    ring  r = 0,(x,y,z),dp;
    ideal i=intersect(ideal(z),ideal(x,y),ideal(x2,z2),ideal(x5,y5,z5));
    equidimMaxEHV(i);
    ==> _[1]=z

User manual for Singular version 4.4.1, 2025, generated by texi2html.